Bug 1985850 - Update default value of volumeBindingMode from Immediate to WaitForFirstConsumer when create storageclass from web console
Summary: Update default value of volumeBindingMode from Immediate to WaitForFirstConsu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Phillip Bailey
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-26 04:03 UTC by Chao Yang
Modified: 2021-10-18 17:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9716 0 None None None 2021-08-03 17:50:46 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:41:22 UTC

Description Chao Yang 2021-07-26 04:03:01 UTC
Description of problem:
Update volumeBindingMode from Immediate to WaitForFirstConsumer when create storageclass from web console

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-07-25-125326 

How reproducible:
Always

Steps to Reproduce:
1.Launch web console
2.Create storage class from console, all the parameters selected as default
Click storage--storageclass--create storageclass--provisioners(ebs.csi.aws.com)
3.Check the created sc
oc get sc csitest -o json | jq .volumeBindingMode
"Immediate"

Actual results:
volumeBindingMode is still Immediate when create sc from web console.

Expected results:
Should update default value of volumeBindingMode to WaitForFirstConsumer

Additional info:

Comment 4 Yanping Zhang 2021-08-06 08:51:29 UTC
Checked on ocp 4.9 cluster with payload 4.9.0-0.nightly-2021-08-04-131508.
Create storageclass from console by Form, set name and provisioner, leave other fields as default, click "Create". Then check on the storageclass detail page, it shows "WaitForFirstConsumer" for "Volume binding mode".
The bug is fixed.

Comment 7 errata-xmlrpc 2021-10-18 17:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.